#ifndef COMMONS_INSTANCING_BUFFERS_H
#define COMMONS_INSTANCING_BUFFERS_H

layout(std430) buffer InstanceTransformBuffer
{
	vec4 instance_transform[];
};

layout(std430) buffer InstanceColorBuffer
{
	uint instance_color[];
};

struct InstanceParams
{
	int buffer_capacity;
	int stride;
	int indices_per_instance;
};

layout(std140) uniform InstanceParamsBuffer
{
	InstanceParams instance_params;
};

#endif